Adobe Analytics Api 2.0. Profile is not valid error

Avatar

Avatar

davidw50065164

Avatar

davidw50065164

davidw50065164

22-05-2019

Hi,

I am upgrading form API 1.4 to API 2.0.

The problem is that except for "discover me api", I cannot use anything else and get:

{

    "error_code": "403025",

    "message": "Profile is not valid"

}

1758062_pastedImage_0.png

1758064_pastedImage_1.png

I am using a sandbox account.

Any information?

Thanks

View Entire Topic

Avatar

Avatar

settytb1

Employee

Avatar

settytb1

Employee

settytb1
Employee

23-05-2019

Hi davidw50065164,

Good points, the oauth integration uses the users permissions that you authenticate with.  So, when you hit the oauth it will prompt you to follow the login workflow.  You will need to make sure that your user that you logged in with is a user in that profile that you showed in the screenshot that has all the permissions.  Adding the integrations is specifically for service token/jwt integrations.  Because they behave as their own user, you need to give them access to a profile for permissions.  But, because you used oauth that uses your own adobe permissions for the user you authenticated through. If all that is in order, than it may not be a product profile/permission issue.

I hope that helps,

Seth